## python-iniparse 0.3.1

=== Makefile ===
PKGNAME = iniparse
SPECVERSION=$(shell awk '/Version:/ { print $$2 }' python-${PKGNAME}.spec)
SETUPVERSION=$(shell awk -F\' '/VERSION =/ { print $$2 }' setup.py)

clean:
	rm -f *.pyc *.pyo *~ *.bak
	rm -f iniparse/*.pyc iniparse/*.pyo iniparse/*~ iniparse/*.bak
	rm -f tests/*.pyc tests/*.pyo tests/*~ tests/*.bak
	rm -f *.tar.gz MANIFEST

archive:
	python setup.py sdist -d .
	@echo "The archive is in ${PKGNAME}-$(SETUPVERSION).tar.gz"

buildrpm: archive
	rpmbuild -ta ${PKGNAME}-$(SPECVERSION).tar.gz

pychecker:
	pychecker --stdlib iniparse/*py tests/*py

## python-iniparse 0.3.2

=== debian/changelog ===
python-iniparse (0.3.2-1) unstable; urgency=low

  * New Upstream version.
  * Remove DM-Upload-Allowed and change maintainer email.
  * Convert to source format 3.0 (quilt).
  * Update Standards-Version to 3.8.4.
  * Build-Depend on python rather than python-all.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 18 Apr 2010 23:48:47 -0700

python-iniparse (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #506011)
  * Packaging based on Joao Eriberto Mota Filho work.

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Sun, 25 Oct 2009 23:38:47 -0700

=== debian/control ===
Source: python-iniparse
Section: python
Priority: extra
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: debhelper (>= 7), cdbs, python
Build-Depends-Indep: python-support (>= 0.5.3)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/iniparse/
Vcs-Git: git://git.debian.org/git/collab-maint/python-iniparse.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-iniparse.git
XS-Python-Version: >= 2.4

Package: python-iniparse
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Module to access and modify configuration data in INI files
 iniparse is a INI parser for Python which is:
 .
  * Compatiable with ConfigParser: Backward compatible implementations of
    ConfigParser, RawConfigParser, and SafeConfigParser are included that are
    API-compatible with the Python standard library. They pass all the unit
    tests in Python-2.4.4.
 .
  * Preserves structure of INI files: Order of sections & options, indentation,
    comments, and blank lines are preserved as far as possible when data is
    updated.
 .
  * More convenient: Values can be accessed using dotted notation
    (cfg.user.name), or using container syntax (cfg['user']['name']).
 .
 It is very useful for config files that are updated both by users and by
 programs, since it is very disorienting for a user to have her config file
 completely rearranged whenever a program changes it. iniparse also allows
 making the order of entries in a config file significant, which is desirable
 in applications like image galleries.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

install/python-iniparse::
	rm -r debian/python-iniparse/usr/share/doc/iniparse-*

=== debian/watch ===
version=3
http://code.google.com/p/iniparse/downloads/list \
 http://iniparse\.googlecode\.com/files/iniparse-(.*)\.tar\.gz

## python-iniparse 0.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	python setup.py sdist -d .
 	@echo "The archive is in ${PKGNAME}-$(SETUPVERSION).tar.gz"
 
-buildrpm: archive
+rpmbuild: archive
 	rpmbuild -ta ${PKGNAME}-$(SPECVERSION).tar.gz
 
 pychecker:

=== debian/changelog ===
python-iniparse (0.4-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Python 3 support.
  * Use pybuild.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 22 Aug 2015 10:27:33 +0200

python-iniparse (0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:46:01 +0200

python-iniparse (0.4-2) unstable; urgency=low

  * Upload to unstable.
  * Fix typo in package description (Closes: #612076).
  * Update Standards-Version to 3.9.1.
  * Drop cdbs and use debhelper 8 and dh_python2.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 01 Apr 2011 20:54:07 -0700

python-iniparse (0.4-1) experimental; urgency=low

  * New Upstream release (Closes: #585828).
  * Update watch file.
  * Uploading to experimental because of API change.
  * Add description of API change to NEWS file.
  * Add HTML documentation.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 13 Jun 2010 01:03:08 -0700

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,29 @@
 Section: python
 Priority: extra
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, python
-Build-Depends-Indep: python-support (>= 0.5.3)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python-six,
+               python3-all,
+               python3-setuptools,
+               python3-six
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/iniparse/
 Vcs-Git: git://git.debian.org/git/collab-maint/python-iniparse.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-iniparse.git
-XS-Python-Version: >= 2.4
+X-Python-Version: >= 2.4
 
 Package: python-iniparse
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-six
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Module to access and modify configuration data in INI files
+Breaks: ${python:Breaks}
+Description: access and modify configuration data in INI files (Python 2)
  iniparse is a INI parser for Python which is:
  .
-  * Compatiable with ConfigParser: Backward compatible implementations of
+  * Compatible with ConfigParser: Backward compatible implementations of
     ConfigParser, RawConfigParser, and SafeConfigParser are included that are
     API-compatible with the Python standard library. They pass all the unit
     tests in Python-2.4.4.
@@ -35,3 +41,31 @@
  completely rearranged whenever a program changes it. iniparse also allows
  making the order of entries in a config file significant, which is desirable
  in applications like image galleries.
+ .
+ This is a Python 2 version of the package
+
+Package: python3-iniparse
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3-six
+Description: access and modify configuration data in INI files (Python 3)
+ iniparse is a INI parser for Python which is:
+ .
+  * Compatible with ConfigParser: Backward compatible implementations of
+    ConfigParser, RawConfigParser, and SafeConfigParser are included that are
+    API-compatible with the Python standard library. They pass all the unit
+    tests in Python-2.4.4.
+ .
+  * Preserves structure of INI files: Order of sections & options, indentation,
+    comments, and blank lines are preserved as far as possible when data is
+    updated.
+ .
+  * More convenient: Values can be accessed using dotted notation
+    (cfg.user.name), or using container syntax (cfg['user']['name']).
+ .
+ It is very useful for config files that are updated both by users and by
+ programs, since it is very disorienting for a user to have her config file
+ completely rearranged whenever a program changes it. iniparse also allows
+ making the order of entries in a config file significant, which is desirable
+ in applications like image galleries.
+ .
+ This is a Python 3 version of the package

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=iniparse

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -fr debian/python*-iniparse/usr/share/doc/iniparse-*

override_dh_auto_test:
	python2 ./runtests.py
	python3 ./runtests.py

.PHONY: override_dh_auto_install override_dh_auto_test

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://iniparse.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/iniparse/downloads/detail[?]name=iniparse-([0-9\.]+).tar.gz&.*

## python-iniparse 0.5

=== debian/changelog ===
python-iniparse (0.5-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update maintainer email for merge of DPMT and PAPT.
  * Set upstream metadata fields: Bug-Submit.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/patches: Refresh patches.
    + Drop python3-compat patch (merged).
    + Backport upstream patch for python3.11 compatibility.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jun 2022 22:29:52 -0400

python-iniparse (0.4-3) unstable; urgency=medium

  * Maintain under DPMT.
  * Fix the copyright file.
  * Take over some files shipped in python-iniparse (Closes: #947263).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Dec 2019 10:43:25 +0100

python-iniparse (0.4-2.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Stuart Prescott ]
  * Remove Python 2 module package (Closes: #937834).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Update to debhelper-compat (= 12).
  * Update URLs for upstream.
  * Add autopkgtest test.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

 -- Stuart Prescott <stuart@debian.org>  Sun, 22 Dec 2019 12:44:30 +1100

=== debian/control ===
Source: python-iniparse
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-six
Standards-Version: 4.6.1
Homepage: https://github.com/candlepin/python-iniparse
Vcs-Git: https://salsa.debian.org/debian/python-iniparse.git
Vcs-Browser: https://salsa.debian.org/debian/python-iniparse
Rules-Requires-Root: no

Package: python3-iniparse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-six
Replaces: python-iniparse (<< 0.4-2.3)
Description: access and modify configuration data in INI files (Python 3)
 iniparse is a INI parser for Python which is:
 .
  * Compatible with ConfigParser: Backward compatible implementations of
    ConfigParser, RawConfigParser, and SafeConfigParser are included that are
    API-compatible with the Python standard library. They pass all the unit
    tests in Python-2.4.4.
 .
  * Preserves structure of INI files: Order of sections & options, indentation,
    comments, and blank lines are preserved as far as possible when data is
    updated.
 .
  * More convenient: Values can be accessed using dotted notation
    (cfg.user.name), or using container syntax (cfg['user']['name']).
 .
 It is very useful for config files that are updated both by users and by
 programs, since it is very disorienting for a user to have her config file
 completely rearranged whenever a program changes it. iniparse also allows
 making the order of entries in a config file significant, which is desirable
 in applications like image galleries.
 .
 This is a Python 3 version of the package

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=iniparse

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -fr debian/python*-iniparse/usr/share/doc/iniparse-*

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	  PYBUILD_TEST_ARGS="cd {build_dir}; python{version} ./runtests.py" \
	  dh_auto_test --buildsystem=pybuild

.PHONY: execute_after_dh_auto_install override_dh_auto_test

=== debian/tests/control ===
Tests: python3-iniparse
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-iniparse,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-iniparse-$1\.tar\.gz/ \
  https://github.com/candlepin/python-iniparse/tags .*/v?(\d\S+)\.tar\.gz

## python-iniparse 0.5.1

=== debian/changelog ===
python-iniparse (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.1
  * Remove old patches, all applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Dec 2024 16:27:00 +0100

python-iniparse (0.5-3) unstable; urgency=medium

  * Team upload.
  * Use load tests protocol to run the test suite (closes: #1082221).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Nov 2024 00:31:12 +0100

python-iniparse (0.5-2) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-six with upstream patch.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Jan 2024 19:29:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
-               python3-six
 Standards-Version: 4.6.1
 Homepage: https://github.com/candlepin/python-iniparse
 Vcs-Git: https://salsa.debian.org/debian/python-iniparse.git
@@ -16,7 +16,7 @@
 
 Package: python3-iniparse
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-six
+Depends: ${misc:Depends}, ${python3:Depends}
 Replaces: python-iniparse (<< 0.4-2.3)
 Description: access and modify configuration data in INI files (Python 3)
  iniparse is a INI parser for Python which is:
@@ -38,5 +38,3 @@
  completely rearranged whenever a program changes it. iniparse also allows
  making the order of entries in a config file significant, which is desirable
  in applications like image galleries.
- .
- This is a Python 3 version of the package

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,3 @@
 	PYBUILD_SYSTEM=custom \
 	  PYBUILD_TEST_ARGS="cd {build_dir}; python{version} ./runtests.py" \
 	  dh_auto_test --buildsystem=pybuild
-
-.PHONY: execute_after_dh_auto_install override_dh_auto_test
